name: omnicommerce_mobile
description: OmniCommerce Cloud — Multi-Vendor B2B & B2C Marketplace Mobile App
version: 1.0.0+1
publish_to: none

environment:
  sdk: '>=3.2.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  intl: ^0.19.0
  provider: ^6.1.0
  dio: ^5.4.0
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  get_it: ^7.6.0
  go_router: ^13.0.0
  flutter_secure_storage: ^9.0.0
  cached_network_image: ^3.3.0
  shimmer: ^3.0.0
  pull_to_refresh: ^2.0.0
  flutter_svg: ^2.0.0
  image_picker: ^1.0.0
  barcode_scan2: ^4.3.0
  qr_flutter: ^4.1.0
  firebase_core: ^2.24.0
  firebase_messaging: ^14.7.0
  package_info_plus: ^5.0.0
  url_launcher: ^6.2.0
  share_plus: ^7.2.0
  google_maps_flutter: ^2.5.0
  geolocator: ^10.1.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0

flutter:
  uses-material-design: true
  assets:
    - assets/images/
    - assets/icons/
